Update the meeting type of an appointment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pexipengage.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Pexip Engage MCP server": {
  "url": "https://developer.pexipengage.com/mcp"
}
Close
POST /appointments/{id}/_actions/update-meeting-type

Update the meeting type of an appointment

Headers

  • Authorization string

    Bearer token used for authorization

    Minimum length is 1.

  • X-Correlation-Id string

    Unique identifier to allow referencing a particular transaction or event chain

    Minimum length is 1, maximum length is 36.

  • Accept-Language string

    Returns the requested resources translated according to the passed languages (see translatable resources)

    Minimum length is 1.

Path parameters

  • id string Required

    Primary identifier of the requested resource

    Minimum length is 1.

application/json

Body Required

  • meetingType string Required

    Values are OFFICE, ON_LOCATION, PHONE, or VIDEO.

  • location object | null

    Additional properties are NOT allowed.

    Hide location attributes Show location attributes object | null
    • postalCode string | null

      Minimum length is 1.

    • countryCode string Required

      Minimum length is 2, maximum length is 2.

    • geolocation object | null

      Additional properties are NOT allowed.

      Hide geolocation attributes Show geolocation attributes object | null
      • latitude number Required

        Minimum value is -90, maximum value is 90.

      • longitude number Required

        Minimum value is -180, maximum value is 180.

    • translations object Required

      Additional properties are NOT allowed.

      Hide translations attributes Show translations attributes object
      • city array[object] Required

        At least 1 element.

        Hide city attributes Show city attributes object
        • language string Required

          Values are da, de, el, en, es, fr, ja, nl, no, or pl.

        • value string Required

          Minimum length is 1.

      • state array[object]

        At least 0 elements.

        Hide state attributes Show state attributes object
        • language string Required

          Values are da, de, el, en, es, fr, ja, nl, no, or pl.

        • value string Required

          Minimum length is 1.

      • street1 array[object] Required

        At least 1 element.

        Hide street1 attributes Show street1 attributes object
        • language string Required

          Values are da, de, el, en, es, fr, ja, nl, no, or pl.

        • value string Required

          Minimum length is 1.

      • street2 array[object]

        At least 0 elements.

        Hide street2 attributes Show street2 attributes object
        • language string Required

          Values are da, de, el, en, es, fr, ja, nl, no, or pl.

        • value string Required

          Minimum length is 1.

  • messageForCustomer string | null

    Minimum length is 1.

  • userCommunication object | null

    Additional properties are NOT allowed.

    Hide userCommunication attributes Show userCommunication attributes object | null
    • notifications string | null

      Values are DEFAULT or DISABLED.

    • reminders string | null

      Values are DEFAULT or DISABLED.

    • notificationsOverrideCurrentAction string | null

      Values are DEFAULT or DISABLED.

  • updatedByType string | null

    Values are CUSTOMER, EMPLOYEE, or OTHER.

  • updatedById string | null

    Minimum length is 1.

Responses

  • 200 application/json

    Successful operation

    Hide response attribute Show response attribute object
    • data object Required

      Additional properties are NOT allowed.

      Hide data attributes Show data attributes object
      • id string Required

        Minimum length is 1.

      • uuid string Required

        Minimum length is 1.

      • externalId string | null

        Minimum length is 1, maximum length is 255.

      • start string(date-time) | null

        Minimum length is 1.

      • end string(date-time) | null

        Minimum length is 1.

      • subject object Required

        Additional properties are NOT allowed.

        Hide subject attribute Show subject attribute object
        • id string Required

          Minimum length is 1.

      • office object Required

        Additional properties are NOT allowed.

        Hide office attribute Show office attribute object
        • id string Required

          Minimum length is 1.

      • appointmentParticipants array[object] Required

        At least 2 elements.

        Hide appointmentParticipants attributes Show appointmentParticipants attributes object
        • role string Required

          Values are PRIMARY or SECONDARY.

        • participant object Required
          Hide participant attribute Show participant attribute object
          • id string Required

            Minimum length is 1.

        • type string Required

          Values are CUSTOMER or EMPLOYEE.

        • videoUrl string(uri) | null

          Minimum length is 1.

        • videoTestUrl string(uri) | null

          Minimum length is 1.

        • cancelUrl string(uri) Required

          Minimum length is 1.

        • editUrl string(uri) Required

          Minimum length is 1.

        • inviteUrl string(uri) Required

          Minimum length is 1.

        • declineUrl string(uri) Required

          Minimum length is 1.

        • office365CalendarUrl string(uri) Required

          Minimum length is 1.

        • googleCalendarUrl string(uri) Required

          Minimum length is 1.

        • icalUrl string(uri) Required

          Minimum length is 1.

      • answers array[object] Required
        Hide answers attributes Show answers attributes object
        • value string | null

          Minimum length is 1.

        • selectedAnswerOptions array[object] | null
          Hide selectedAnswerOptions attribute Show selectedAnswerOptions attribute object
          • id string Required

            Minimum length is 1.

        • files array[object] | null
          Hide files attribute Show files attribute object
          • id string Required

            Minimum length is 1.

        • id string Required

          Minimum length is 1.

        • form object Required

          Additional properties are NOT allowed.

          Hide form attribute Show form attribute object
          • id string Required

            Minimum length is 1.

        • question object Required

          Additional properties are NOT allowed.

          Hide question attribute Show question attribute object
          • id string Required

            Minimum length is 1.

        • answerType string Required

          Values are APPOINTMENT_CANCELLATION, APPOINTMENT_COMPLETION, CALLBACK_REQUEST, QUALIFICATION, SUBJECT_QUESTIONNAIRE, or UNAVAILABILITY.

        • createdAt string(date-time) Required

          Minimum length is 1.

        • updatedAt string(date-time) Required

          Minimum length is 1.

      • callbackRequest object | null

        Additional properties are NOT allowed.

        Hide callbackRequest attribute Show callbackRequest attribute object | null
        • id string Required

          Minimum length is 1.

      • listing object | null

        Additional properties are NOT allowed.

        Hide listing attribute Show listing attribute object | null
        • id string Required

          Minimum length is 1.

      • leadSegment object | null

        Additional properties are NOT allowed.

        Hide leadSegment attribute Show leadSegment attribute object | null
        • id string Required

          Minimum length is 1.

      • meetingRoom object | null

        Additional properties are NOT allowed.

        Hide meetingRoom attribute Show meetingRoom attribute object | null
        • id string Required

          Minimum length is 1.

      • meetingType string Required

        Values are OFFICE, ON_LOCATION, PHONE, or VIDEO.

      • status string Required

        Values are ACCEPTED, ALTERNATIVE_DATE_REQUESTED, CANCELLED, COMPLETED, INCOMING_REQUEST, NO_SHOW, or OUTGOING_INVITE.

      • hybrid boolean Required
      • trailingBufferTime integer Required

        Minimum value is 0.

      • internalNotes string | null

        Minimum length is 1.

      • messageForCustomer string | null

        Minimum length is 1.

      • metadata object | null

        Additional properties are allowed.

      • userCommunication object Required

        Additional properties are NOT allowed.

        Hide userCommunication attributes Show userCommunication attributes object
        • notifications string Required

          Values are DEFAULT or DISABLED.

        • reminders string Required

          Values are DEFAULT or DISABLED.

      • createdAt string(date-time) Required

        Minimum length is 1.

      • createdBy object | null

        Additional properties are NOT allowed.

        Hide createdBy attribute Show createdBy attribute object | null
        • id string Required

          Minimum length is 1.

      • createdByType string Required

        Values are CUSTOMER, EMPLOYEE, or OTHER.

      • createdFrom string Required

        Values are BACKOFFICE_APP, OTHER, PARTNER_BOOKING_APP, or PLUGIN.

      • updatedAt string(date-time) Required

        Minimum length is 1.

      • updatedBy object | null

        Additional properties are NOT allowed.

        Hide updatedBy attribute Show updatedBy attribute object | null
        • id string Required

          Minimum length is 1.

      • updatedByType string Required

        Values are CUSTOMER, EMPLOYEE, or OTHER.

      • updatedFrom string Required

        Values are BACKOFFICE_APP, OTHER, PARTNER_BOOKING_APP, or PLUGIN.

      • location object | null
        Hide location attributes Show location attributes object | null
        • city object | null

          Additional properties are NOT allowed.

          Hide city attributes Show city attributes object | null
          • language string Required

            Values are da, de, el, en, es, fr, ja, nl, no, or pl.

          • value string Required
        • state object | null

          Additional properties are NOT allowed.

          Hide state attributes Show state attributes object | null
          • language string Required

            Values are da, de, el, en, es, fr, ja, nl, no, or pl.

          • value string Required
        • street1 object | null

          Additional properties are NOT allowed.

          Hide street1 attributes Show street1 attributes object | null
          • language string Required

            Values are da, de, el, en, es, fr, ja, nl, no, or pl.

          • value string Required
        • street2 object | null

          Additional properties are NOT allowed.

          Hide street2 attributes Show street2 attributes object | null
          • language string Required

            Values are da, de, el, en, es, fr, ja, nl, no, or pl.

          • value string Required
        • postalCode string | null

          Minimum length is 1.

        • countryCode string Required

          Minimum length is 2, maximum length is 2.

        • formattedAddress string Required

          Minimum length is 1.

        • geolocation object Required

          Additional properties are NOT allowed.

          Hide geolocation attributes Show geolocation attributes object
          • latitude number Required

            Minimum value is -90, maximum value is 90.

          • longitude number Required

            Minimum value is -180, maximum value is 180.

        • translations object Required

          Additional properties are NOT allowed.

          Hide translations attributes Show translations attributes object
          • city array[object] Required

            At least 1 element.

            Hide city attributes Show city attributes object
            • language string Required

              Values are da, de, el, en, es, fr, ja, nl, no, or pl.

            • value string Required

              Minimum length is 1.

          • state array[object]

            At least 0 elements.

            Hide state attributes Show state attributes object
            • language string Required

              Values are da, de, el, en, es, fr, ja, nl, no, or pl.

            • value string Required

              Minimum length is 1.

          • street1 array[object] Required

            At least 1 element.

            Hide street1 attributes Show street1 attributes object
            • language string Required

              Values are da, de, el, en, es, fr, ja, nl, no, or pl.

            • value string Required

              Minimum length is 1.

          • street2 array[object]

            At least 0 elements.

            Hide street2 attributes Show street2 attributes object
            • language string Required

              Values are da, de, el, en, es, fr, ja, nl, no, or pl.

            • value string Required

              Minimum length is 1.

  • 404 application/json

    Resource not found

    Hide response attribute Show response attribute object
    • errors array[object] Required

      At least 1 element.

      Hide errors attributes Show errors attributes object
      • message string Required

        Minimum length is 1.

      • code string Required

        Minimum length is 1.

      • type string Required

        Minimum length is 1.

      • statusCode string Required

        Minimum length is 1.

  • 422 application/json

    Business validation failed

    • APPOINTMENT_STATUS_INVALID
    • APPOINTMENT_MEETING_TYPE_UPDATE_NOT_ALLOWED
    • APPOINTMENT_LOCATION_REQUIRED
    • LOCATION_GEOCODING_FAILED
    • LOCATION_TIME_ZONE_RESOLUTION_FAILED

    See Error codes

    Hide response attribute Show response attribute object
    • errors array[object] Required

      At least 1 element.

      Hide errors attributes Show errors attributes object
      • message string Required

        Minimum length is 1.

      • code string Required

        Minimum length is 1.

      • type string Required

        Minimum length is 1.

      • statusCode string Required

        Minimum length is 1.

      • arguments object | null
POST /appointments/{id}/_actions/update-meeting-type
curl \
 --request POST 'https://api.development.pexipengage.com/enterprises/acme/appointments/1234/_actions/update-meeting-type' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c" \
 --header "X-Correlation-Id: a4f0048e-c983-11ed-afa1-0242ac120002" \
 --header "Accept-Language: en *" \
 --data '{"meetingType":"OFFICE","location":{"postalCode":"9000","countryCode":"BE","geolocation":{"latitude":51.0479466,"longitude":3.6912248},"translations":{"city":[{"language":"en","value":"Lorem ipsum"}],"state":[{"language":"en","value":"Lorem ipsum"}],"street1":[{"language":"en","value":"Lorem ipsum"}],"street2":[{"language":"en","value":"Lorem ipsum"}]}},"messageForCustomer":"Sorry! Something came up last-minute.","userCommunication":{"notifications":"DEFAULT","reminders":"DEFAULT","notificationsOverrideCurrentAction":"DEFAULT"},"updatedByType":"EMPLOYEE","updatedById":"123"}'
Request examples
# Headers
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
X-Correlation-Id: a4f0048e-c983-11ed-afa1-0242ac120002
Accept-Language: en *

# Payload
{
  "meetingType": "OFFICE",
  "location": {
    "postalCode": "9000",
    "countryCode": "BE",
    "geolocation": {
      "latitude": 51.0479466,
      "longitude": 3.6912248
    },
    "translations": {
      "city": [
        {
          "language": "en",
          "value": "Lorem ipsum"
        }
      ],
      "state": [
        {
          "language": "en",
          "value": "Lorem ipsum"
        }
      ],
      "street1": [
        {
          "language": "en",
          "value": "Lorem ipsum"
        }
      ],
      "street2": [
        {
          "language": "en",
          "value": "Lorem ipsum"
        }
      ]
    }
  },
  "messageForCustomer": "Sorry! Something came up last-minute.",
  "userCommunication": {
    "notifications": "DEFAULT",
    "reminders": "DEFAULT",
    "notificationsOverrideCurrentAction": "DEFAULT"
  },
  "updatedByType": "EMPLOYEE",
  "updatedById": "123"
}
Response examples (200)
{
  "data": {
    "id": "123",
    "uuid": "string",
    "externalId": "ABCD1234",
    "start": "2022-08-17T09:00:00.000Z",
    "end": "2022-08-17T10:00:00.000Z",
    "subject": {
      "id": "123"
    },
    "office": {
      "id": "123"
    },
    "appointmentParticipants": [
      {
        "role": "PRIMARY",
        "participant": {
          "id": "string"
        },
        "type": "EMPLOYEE",
        "videoUrl": "https://wwww.example.net/abc123",
        "videoTestUrl": "https://wwww.example.net/abc123",
        "cancelUrl": "https://wwww.example.net/abc123",
        "editUrl": "https://wwww.example.net/abc123",
        "inviteUrl": "https://wwww.example.net/abc123",
        "declineUrl": "https://wwww.example.net/abc123",
        "office365CalendarUrl": "https://wwww.example.net/abc123",
        "googleCalendarUrl": "https://wwww.example.net/abc123",
        "icalUrl": "https://wwww.example.net/abc123"
      }
    ],
    "answers": [
      {
        "value": "A colleague",
        "selectedAnswerOptions": [
          {
            "id": "123"
          }
        ],
        "files": [
          {
            "id": "123"
          }
        ],
        "id": "123",
        "form": {
          "id": "123"
        },
        "question": {
          "id": "123"
        },
        "answerType": "SUBJECT_QUESTIONNAIRE",
        "createdAt": "2022-08-17T19:05:21.362Z",
        "updatedAt": "2022-08-17T19:05:21.362Z"
      }
    ],
    "callbackRequest": {
      "id": "123"
    },
    "listing": {
      "id": "123"
    },
    "leadSegment": {
      "id": "123"
    },
    "meetingRoom": {
      "id": "123"
    },
    "meetingType": "OFFICE",
    "status": "ACCEPTED",
    "hybrid": true,
    "trailingBufferTime": 5,
    "internalNotes": "Lorem ipsum",
    "messageForCustomer": "Lorem ipsum",
    "metadata": {},
    "userCommunication": {
      "notifications": "DEFAULT",
      "reminders": "DEFAULT"
    },
    "createdAt": "2022-08-17T19:05:21.362Z",
    "createdBy": {
      "id": "123"
    },
    "createdByType": "EMPLOYEE",
    "createdFrom": "BACKOFFICE_APP",
    "updatedAt": "2022-08-17T19:05:21.362Z",
    "updatedBy": {
      "id": "123"
    },
    "updatedByType": "EMPLOYEE",
    "updatedFrom": "BACKOFFICE_APP",
    "location": {
      "city": {
        "language": "en",
        "value": "Lorem ipsum"
      },
      "state": {
        "language": "en",
        "value": "Lorem ipsum"
      },
      "street1": {
        "language": "en",
        "value": "Lorem ipsum"
      },
      "street2": {
        "language": "en",
        "value": "Lorem ipsum"
      },
      "postalCode": "9000",
      "countryCode": "BE",
      "formattedAddress": "string",
      "geolocation": {
        "latitude": 51.0479466,
        "longitude": 3.6912248
      },
      "translations": {
        "city": [
          {
            "language": "en",
            "value": "Lorem ipsum"
          }
        ],
        "state": [
          {
            "language": "en",
            "value": "Lorem ipsum"
          }
        ],
        "street1": [
          {
            "language": "en",
            "value": "Lorem ipsum"
          }
        ],
        "street2": [
          {
            "language": "en",
            "value": "Lorem ipsum"
          }
        ]
      }
    }
  }
}
Response examples (404)
{
  "errors": [
    {
      "message": "string",
      "code": "string",
      "type": "string",
      "statusCode": "string"
    }
  ]
}
Response examples (422)
{
  "errors": [
    {
      "message": "string",
      "code": "string",
      "type": "string",
      "statusCode": "string",
      "arguments": {}
    }
  ]
}